-- vi:ft=lua
-- configuration file for io

local hw = Io.system_bus()

local bus = Io.Vi.System_bus
{
  CPM = wrap(hw:match("jz4780-cpm"));
  DMA = wrap(hw:match("jz4780-dma"));
  GPIO = wrap(hw:match("jz4780-gpio"));
  MSC = wrap(hw:match("jz4780-msc"));
}

Io.add_vbus("common", bus)
